| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::ClfOnlineStump Class Reference
Tracking API

`#include <opencv2/tracking/onlineMIL.hpp>`

## Public Member Functions
| ClfOnlineStump ()
| ClfOnlineStump (int ind)
bool | classify (const Mat &x, int i)
float | classifyF (const Mat &x, int i)
std::vector< float > | classifySetF (const Mat &x)
void | init ()
void | update (const Mat &posx, const Mat &negx, const cv::Mat_< float > &posw=cv::Mat_< float >(), const cv::Mat_< float > &negw=cv::Mat_< float >())

## Public Attributes
float | _e0
float | _e1
float | _log_n0
float | _log_n1
float | _lRate
float | _mu0
float | _mu1
float | _q
int | _s
float | _sig0
float | _sig1

## Constructor & Destructor Documentation

## ◆ ClfOnlineStump() [1/2]

cv::ClfOnlineStump::ClfOnlineStump | ( |  | ) |

## ◆ ClfOnlineStump() [2/2]

cv::ClfOnlineStump::ClfOnlineStump | ( | int | ind | ) |

## Member Function Documentation

## ◆ classify()

bool cv::ClfOnlineStump::classify | ( | const Mat & | x,
|  | int | i
| ) |  |

## ◆ classifyF()

float cv::ClfOnlineStump::classifyF | ( | const Mat & | x,
|  | int | i
| ) |  |

## ◆ classifySetF()

std::vector<float> cv::ClfOnlineStump::classifySetF | ( | const Mat & | x | ) |

## ◆ init()

void cv::ClfOnlineStump::init | ( |  | ) |

## ◆ update()

void cv::ClfOnlineStump::update | ( | const Mat & | posx,
|  | const Mat & | negx,
|  | const cv::Mat_< float > & | posw = `cv::Mat_< float >()`,
|  | const cv::Mat_< float > & | negw = `cv::Mat_< float >()`
| ) |  |

## Member Data Documentation

## ◆ _e0

float cv::ClfOnlineStump::_e0

## ◆ _e1

float cv::ClfOnlineStump::_e1

## ◆ _log_n0

float cv::ClfOnlineStump::_log_n0

## ◆ _log_n1

float cv::ClfOnlineStump::_log_n1

## ◆ _lRate

float cv::ClfOnlineStump::_lRate

## ◆ _mu0

float cv::ClfOnlineStump::_mu0

## ◆ _mu1

float cv::ClfOnlineStump::_mu1

## ◆ _q

float cv::ClfOnlineStump::_q

## ◆ _s

int cv::ClfOnlineStump::_s

## ◆ _sig0

float cv::ClfOnlineStump::_sig0

## ◆ _sig1

float cv::ClfOnlineStump::_sig1

The documentation for this class was generated from the following file:

- opencv2/tracking/onlineMIL.hpp